Katello - Bug #4967

Katello Kickstart Default uses https for installing the bootstrap rpm
03/31/2014 01:08 PM - Ivan Necas

Status: Closed
Assignee:

Category:
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

But it fails on certs verification, as the ca cert is not there yet: either install
the the provisioned system and use http as output of 'subscription_manager_configuration_url’

Associated revisions

Revision a8814534 - 04/04/2014 10:47 AM - lvan Necas
Fixes #4967 - use http instead of https for bootstrap rpm in kickstart

We don't have the certificate installed yet, so the verification fails.

Revision ef7e02e5 - 04/04/2014 01:38 PM - Ivan Necas
Merge pull request #3944 from iNecas/fix-bootstrap-url

Fixes #4967 - use http instead of https for bootstrap rpm in kickstart

History

#1 - 04/01/2014 04:27 PM - Ivan Necas

The workaround is to specify the http url explicitly in the subscription_manager_registration snippet (this also contains a workaround for
http://projects.theforeman.org/issues/4974) :

<% 1if Q@host.params['kt_org'] and @host.params['kt_activation_keys'] %>

# add subscription manager

yum -t -y -e 0 install subscription-manager

rpm —-ivh http://your-host.example.com/pub/katello-ca-consumer—-latest.noarch.rpm

echo "Registering the System"

subscription-manager register —--org=<%= @host.params['kt_org']%> —--name=<%$= @host.name %> —--activationkey=<%=
@host.params|['kt_activation_keys'] %>

<% end %>

<% 1if Q@host.puppetmaster && !Qhost.puppetmaster.empty? %>

subscription-manager config —-rhsm.baseurl=https://<%= @host.puppetmaster %>/pulp/repos

<% end %>

#2 - 04/03/2014 01:35 PM - Ivan Necas

- Status changed from New to Assigned

#3 - 04/03/2014 01:36 PM - Ivan Necas

- Status changed from Assigned to New

#4 - 04/04/2014 10:45 AM - Ivan Necas

- Status changed from New to Assigned

#5 - 04/04/2014 10:48 AM - Ivan Necas
https://github.com/Katello/katello/pull/3944
http://projects.theforeman.org/issues/4974
https://github.com/Katello/katello/pull/3944

#6 - 04/04/2014 11:04 AM - Ivan Necas
- Status changed from Assigned to Ready For Testing

#7 - 04/04/2014 01:52 PM - lvan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katellojcommit:a8814534594083ec870c4c54200c9ec200b0c8d5.

#8 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#9 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
